Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.beacm
Class RepeatMonthlyByDayAdjust

    java.lang.Object
      com.compoze.collab.beacm.RepeatAdjust
          com.compoze.collab.beacm.RepeatMonthlyByDayAdjust

All Implemented Interfaces
  Serializable

    public class RepeatMonthlyByDayAdjust

extends RepeatAdjust
implements Serializable

This class stores the values for a 'repeat monthly by day' adjust. This adjust allows you to specify the day and week of the month to repeat.

For example, for the 2nd Sunday, use `RepeatPattern.SUNDAY | RepeatPattern.SECOND_WEEK` when calling `addDay(int)`.

See Also
  Serialized Form

Constructor Summary
`RepeatMonthlyByDayAdjust()` Constructor.
`RepeatMonthlyByDayAdjust(String[] values)` Constructor.

Method Summary
`void` | `addDay(int iDay)` Adds the day to the repeat values.
`boolean` | `containsDay(Date givenDate, Calendar cal)` Checks to see if this adjust contains the day.
`boolean` | `containsDayOfMonth(int iDayOfMonth)` Checks to see if this adjust contains the day of month.

Methods inherited from class com.compoze.collab.beacm.RepeatAdjust
`getValues, getValuesArray`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RepeatMonthlyByDayAdjust

    public RepeatMonthlyByDayAdjust()

  Constructor.

  Parameters
    `values` - the adjust values

### RepeatMonthlyByDayAdjust

    public RepeatMonthlyByDayAdjust(String[] values)

  Constructor.

  Parameters
    `values` - the adjust values

Method Detail

### addDay

    public void addDay(int iDay)

  Adds the day to the repeat values. The specified day should be one of the `SUNDAY-SATURDAY` values, possibly or'd with one of the `RepeatPattern.BYWEEK_` values. If the day is not or'd with a `RepeatPattern.BYWEEK_` value, it is assumed to be the first week.

  Parameters
    `iDay` - the day (possibly or'd with one of the `RepeatPattern.BYWEEK_` constants)

### containsDayOfMonth

    public boolean containsDayOfMonth(int iDayOfMonth)

  Checks to see if this adjust contains the day of month.

  Parameters
    `iDayOfMonth` - the day of the month (a combination of day and by-week constants)
  Returns
    `true` if it contains the specified day of month; `false` otherwise

### containsDay

    public boolean containsDay(Date givenDate,
                               Calendar cal)

  Checks to see if this adjust contains the day.

  Parameters
    `givenDate` - the given date
    `cal` - the calendar
  Returns
    `true` if it contains the specified day; `false` otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved